Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.auth.module
Class Win64System

    java.lang.Object
      com.ibm.security.auth.module.Win64System

    public class Win64System

extends java.lang.Object

This class implementation retrieves and makes available Windows64 security information for the current user.

Author:
  D. Kent Soper

Constructor Summary
`Win64System()` Instantiate a `Win64System` and load the native library to access the underlying system information.

Method Summary
`protected void` | `finalize()` Clean up Win64 resources during garbage collection, in case `LoginContext.logout()` was not called.
`java.lang.String` | `getDomain()` Get the domain for the current Win64 user.
`java.lang.String` | `getDomainSID()` Get a printable SID for the current Win64 user's domain.
`java.lang.String[]` | `getGroupIDs()` Get the printable group SIDs for the current Win64 user.
`long` | `getImpersonationToken()` Get an impersonation token for the current Win64 user.
`java.lang.String` | `getPrimaryGroupID()` Get a printable primary group SID for the current Win64 user.
`java.lang.String` | `getUsername()` Get the username for the current Win64 user.
`java.lang.String` | `getUserSID()` Get a printable SID for the current Win64 user.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Win64System

    public Win64System()

  Instantiate a `Win64System` and load the native library to access the underlying system information.

Method Detail

### getUsername

    public java.lang.String getUsername()

  Get the username for the current Win64 user.

  Returns:
    the username for the current Win64 user.

### getDomain

    public java.lang.String getDomain()

  Get the domain for the current Win64 user.

  Returns:
    the domain for the current Win64 user.

### getDomainSID

    public java.lang.String getDomainSID()

  Get a printable SID for the current Win64 user's domain.

  Returns:
    a printable SID for the current Win64 user's domain.

### getUserSID

    public java.lang.String getUserSID()

  Get a printable SID for the current Win64 user.

  Returns:
    a printable SID for the current Win64 user.

### getPrimaryGroupID

    public java.lang.String getPrimaryGroupID()

  Get a printable primary group SID for the current Win64 user.

  Returns:
    the primary group SID for the current Win64 user.

### getGroupIDs

    public java.lang.String[] getGroupIDs()

  Get the printable group SIDs for the current Win64 user.

  Returns:
    the group SIDs for the current Win64 user.

### getImpersonationToken

    public long getImpersonationToken()

  Get an impersonation token for the current Win64 user.

  Returns:
    an impersonation token for the current Win64 user.

### finalize

    protected void finalize()

  Clean up Win64 resources during garbage collection, in case `LoginContext.logout()` was not called.

  Overrides:
    `finalize` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD